## Index

### Interfaces

- Body
- Consumer
- Reactive

### Type aliases

- FilterFunction
- MapFunction
- PushFunction
- ScanFunction
- SubscribeFunction

## Type aliases

### FilterFunction

FilterFunction: function

- Defined in frp-common.ts:20

#### Type declaration

- - (a: A): boolean

  - #### Parameters

    - ##### a: A

    #### Returns boolean

### MapFunction

MapFunction: function

- Defined in frp-common.ts:16

#### Type declaration

- - (a: A): B

  - #### Parameters

    - ##### a: A

    #### Returns B

### PushFunction

PushFunction: function

- Defined in frp-common.ts:18

#### Type declaration

- - (a: A): any

  - #### Parameters

    - ##### a: A

    #### Returns any

### ScanFunction

ScanFunction: function

- Defined in frp-common.ts:19

#### Type declaration

- - (a: A, b: B): B

  - #### Parameters

    - ##### a: A

    - ##### b: B

    #### Returns B

### SubscribeFunction

SubscribeFunction: function

- Defined in frp-common.ts:17

#### Type declaration

- - (a: A): void

  - #### Parameters

    - ##### a: A

    #### Returns void

Generated using TypeDoc